-- The purpose of this module is simply to re-export the
-- Gtk functions and types that I use, and avoid those
-- that I don't, particularly those that conflict with
-- names in Sifflet, like Layout.
-- Just hiding these is not enough, because Graphics.UI.Gtk
-- keeps changing what it exports.
-- For example, in 0.10.5 it no longer exports Function, fill,
-- function.

module LittleGtk
    (
     -- These are just directly re-exported from Gtk:

     -- Attributes
     AttrOp(..), -- for (:=)
     get,
     set,

     adjustmentNew,

     boxPackEnd,
     boxPackStart,
     boxPackStartDefaults,

     Button,
     buttonNewWithLabel,

     ContainerClass,
     castToContainer,
     containerAdd,
     containerChild,
     containerForeach,

     customStoreSetColumn,

     -- Dialog
     toDialog,

     DrawWindow,
     drawWindowInvalidateRect,

     entryCompletionInsertPrefix,
     entryCompletionModel,
     entryCompletionNew,
     entryCompletionSetTextColumn,

     Entry,
     entryGetText,
     entryGetCompletion,
     entryNew,
     entrySetCompletion,

     EventMask(..), 

     eventBoxNew,

     exposeEvent,

     fileChooserDialogNew, 
     fileChooserGetFilename,

     FileChooserAction(..),

     grabAdd,
     grabRemove,

     HBox, 
     hBoxNew,

     keyPressEvent,

     labelNew,

     Layout, 
     layoutGetDrawWindow,
     layoutNew, 
     layoutPut,
     layoutSetSize,

     listStoreNew,

     makeColumnIdString,

     menuPopup,

     on, 
     onDestroy, 
     onSizeRequest, 

     Packing(..),

     PolicyType(PolicyAutomatic),

     Rectangle(..),

     renderWithDrawable, 

     Requisition(..),

     ResponseId(..),

     ScrolledWindow,
     scrolledWindowNew,
     scrolledWindowSetPolicy,

     Statusbar,
     statusbarGetContextId,
     statusbarNew,
     statusbarPop,
     statusbarPush,

     VBox, 
     vBoxNew, 

     WidgetClass,

     widgetAddEvents,
     widgetClassPath,
     widgetDestroy,
     widgetGrabFocus,
     widgetSetCanFocus, 
     widgetSetDoubleBuffered,
     widgetSetName,
     widgetSetSizeRequest,
     widgetShow,
     widgetShowAll, 
     widgetVisible,

     Window,
     windowMove,
     windowNew, 
     windowPresent,
     windowTitle,

     -- General GTK stuff
     initGUI, 
     mainGUI, 
     mainQuit, 

     -- These are renamed:
     GtkFrame,
     GtkLayout
    )

where

import Graphics.UI.Gtk

type GtkFrame = Frame
type GtkLayout = Layout
